# BufferUtils (LWJGL API)
Date: 2015-07-28

## org.lwjgl
Class BufferUtils

    java.lang.Object
      org.lwjgl.BufferUtils

    public final class BufferUtils

extends java.lang.Object

Some often-used Buffer code for creating native buffers of the appropriate size.

Version:
  $Revision$ $Id$
Author:
  $Author$

Constructor Summary
`BufferUtils()`

Method Summary
`static java.nio.ByteBuffer` `createByteBuffer(int size)` Construct a direct native-ordered bytebuffer with the specified size.
`static java.nio.CharBuffer` `createCharBuffer(int size)` Construct a direct native-order charbuffer with the specified number of elements.
`static java.nio.DoubleBuffer` `createDoubleBuffer(int size)` Construct a direct native-order doublebuffer with the specified number of elements.
`static java.nio.FloatBuffer` `createFloatBuffer(int size)` Construct a direct native-order floatbuffer with the specified number of elements.
`static java.nio.IntBuffer` `createIntBuffer(int size)` Construct a direct native-order intbuffer with the specified number of elements.
`static java.nio.LongBuffer` `createLongBuffer(int size)` Construct a direct native-order longbuffer with the specified number of elements.
`static PointerBuffer` `createPointerBuffer(int size)` Construct a PointerBuffer with the specified number of elements.
`static java.nio.ShortBuffer` `createShortBuffer(int size)` Construct a direct native-order shortbuffer with the specified number of elements.
`static int` `getElementSizeExponent(java.nio.Buffer buf)`
`static int` `getOffset(java.nio.Buffer buffer)` A helper function which is used to get the byte offset in an arbitrary buffer based on its position
`static void` `zeroBuffer(java.nio.ByteBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.CharBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.DoubleBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.FloatBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.IntBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.LongBuffer b)` Fill buffer with zeros from position to remaining
`static void` `zeroBuffer(java.nio.ShortBuffer b)` Fill buffer with zeros from position to remaining

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferUtils

    public BufferUtils()

Method Detail

### createByteBuffer

    public static java.nio.ByteBuffer createByteBuffer(int size)

  Construct a direct native-ordered bytebuffer with the specified size.

  Parameters:
    `size` - The size, in bytes
  Returns:
    a ByteBuffer

### createShortBuffer

    public static java.nio.ShortBuffer createShortBuffer(int size)

  Construct a direct native-order shortbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in shorts
  Returns:
    a ShortBuffer

### createCharBuffer

    public static java.nio.CharBuffer createCharBuffer(int size)

  Construct a direct native-order charbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in chars
  Returns:
    an CharBuffer

### createIntBuffer

    public static java.nio.IntBuffer createIntBuffer(int size)

  Construct a direct native-order intbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in ints
  Returns:
    an IntBuffer

### createLongBuffer

    public static java.nio.LongBuffer createLongBuffer(int size)

  Construct a direct native-order longbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in longs
  Returns:
    an LongBuffer

### createFloatBuffer

    public static java.nio.FloatBuffer createFloatBuffer(int size)

  Construct a direct native-order floatbuffer with the specified number of elements.

  Parameters:
    `size` - The size, in floats
  Returns:
    a FloatBuffer

### createDoubleBuffer

    public static java.nio.DoubleBuffer createDoubleBuffer(int size)

  Construct a direct native-order doublebuffer with the specified number of elements.

  Parameters:
    `size` - The size, in floats
  Returns:
    a FloatBuffer

### createPointerBuffer

    public static PointerBuffer createPointerBuffer(int size)

  Construct a PointerBuffer with the specified number of elements.

  Parameters:
    `size` - The size, in memory addresses
  Returns:
    a PointerBuffer

### getElementSizeExponent

    public static int getElementSizeExponent(java.nio.Buffer buf)

  Returns:
    n, where buffer_element_size=2^n.

### getOffset

    public static int getOffset(java.nio.Buffer buffer)

  A helper function which is used to get the byte offset in an arbitrary buffer based on its position

  Returns:
    the position of the buffer, in BYTES

### zeroBuffer

    public static void zeroBuffer(java.nio.ByteBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.ShortBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.CharBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.IntBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.FloatBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.LongBuffer b)

  Fill buffer with zeros from position to remaining

### zeroBuffer

    public static void zeroBuffer(java.nio.DoubleBuffer b)

  Fill buffer with zeros from position to remaining

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.